/*
* Collective script loader
*/

#include "weapons/weapon_ccusp"
#include "survival_ninjas"
#include "point_checkpoint_ninjas"

Survival g_Survival;

void MapInit()
{
	RegisterCUsp();
	RegisterPointCheckPointEntity();
	
	//Uncomment this to test survival mode in single player mode
	g_Survival.MinPlayersRequired = 1;
	g_Survival.DelayBeforeStart = 30;
	g_Survival.DelayBeforeEnd = 10;
	
	g_Survival.MapInit();
}

void MapActivate()
{
	g_Survival.MapActivate();
}

